Get Website
GET /api/websites/:websitePublicId
Get Website
GET /api/websites/:websitePublicId
Returns a single website (basic/sanitized). Sensitive fields like encrypted credentials are removed.
If you need the full “mega” representation (including additional computed/status fields), use:
GET /api/websites/:websitePublicId/details
Example (cURL)
BASE_URL="https://uptimeify.io"
TOKEN="<your-api-token>"
curl -X GET "$BASE_URL/api/websites/9a3d4d4d-7a4b-4f37-a9df-2a6f6d9d7a10" \
-H "Authorization: Bearer $TOKEN" \
-H "Accept: application/json"
Response
{
"id": 101,
"organizationId": 1,
"customerId": 1,
"name": "Main Marketing Site",
"url": "https://example.com",
"status": "active",
"monitoringType": "combined",
"checkInterval": 1,
"createdAt": "2026-02-26T12:00:00.000Z",
"updatedAt": "2026-02-26T12:00:00.000Z"
}
Common errors
400 Website public ID (UUID) requiredwhen:websitePublicIdis missing/invalid401 Unauthorizedwhen you are not logged in403 Forbiddenwhen you cannot access the website404 Not Foundwhen the website does not exist